Debian Bug report logs - #429555
dpkg-buildpackage -S is confused by other-arch changes file.

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Junichi Uekawa <dancer@netfort.gr.jp>

Date: Mon, 18 Jun 2007 19:09:33 UTC

Severity: normal

Found in version dpkg-cross/1.38

Fixed in version dpkg-cross/2.0.0

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#429555; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: submit@bugs.debian.org
Subject: dpkg-buildpackage -S is confused by other-arch changes file.
Date: Tue, 19 Jun 2007 04:08:51 +0900
Package: dpkg-cross
Version: 1.38

when there is a changes file for other arch, 'dpkg-buildpackage -S -us
-uc -rfakeroot' is confused and tries to look for _i386.changes (my
arch). It should be looking for _source.changes.



[04:06:12]coreduo:pbuilder> LC_ALL=C dpkg-buildpackage -S -rfakeroot -us -uc
dpkg-buildpackage: source package is pbuilder
dpkg-buildpackage: source version is 0.170
dpkg-buildpackage: source changed by Junichi Uekawa <dancer@debian.org>
dpkg-buildpackage: source version without epoch 0.170
 fakeroot debian/rules clean
dh_testdir
dh_testroot
rm -f build-stamp configure-stamp
# Add here commands to clean up after the build process.
/usr/bin/make clean
make[1]: Entering directory `/home/dancer/DEBIAN/pbuilder/pbuilder'
rm -f *.bak *~ TAGS
rm -f testsuite/testimage
rm -rf testsuite/testbuild testsuite/testbuild2
make[1]: Leaving directory `/home/dancer/DEBIAN/pbuilder/pbuilder'
dh_clean
 dpkg-source -b pbuilder
dpkg-source: warning: source directory './pbuilder' is not <sourcepackage>-<upstreamversion> 'pbuilder-0.170'
dpkg-source: building pbuilder in pbuilder_0.170.tar.gz
dpkg-source: building pbuilder in pbuilder_0.170.dsc
 dpkg-genchanges -S
dpkg-genchanges: including full source code in upload
dpkg-buildpackage: source only upload: Debian-native package
dpkg-buildpackage: Cannot open ../pbuilder_0.170_i386.changes: No such file or directory
[04:06:25]coreduo:pbuilder> ls -l ../*.changes
-rw-r--r-- 1 dancer dancer   0 2007-06-19 04:00 ../pbuilder_0.170_powerpc.changes
-rw-r--r-- 1 dancer dancer 977 2007-06-19 04:06 ../pbuilder_0.170_source.changes



regards,
	junichi
-- 
dancer@{netfort.gr.jp,debian.org}



Tags added: pending Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Mon, 27 Aug 2007 12:54:07 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 429555-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 429555-close@bugs.debian.org
Subject: Bug#429555: fixed in dpkg-cross 2.0.0
Date: Mon, 08 Oct 2007 21:47:03 +0000
Source: dpkg-cross
Source-Version: 2.0.0

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.0.0.dsc
  to pool/main/d/dpkg-cross/dpkg-cross_2.0.0.dsc
dpkg-cross_2.0.0.tar.gz
  to pool/main/d/dpkg-cross/dpkg-cross_2.0.0.tar.gz
dpkg-cross_2.0.0_all.deb
  to pool/main/d/dpkg-cross/dpkg-cross_2.0.0_all.deb
libdebian-dpkgcross-perl_2.0.0_all.deb
  to pool/main/d/dpkg-cross/libdebian-dpkgcross-perl_2.0.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 429555@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 08 Oct 2007 22:11:09 +0100
Source: dpkg-cross
Binary: libdebian-dpkgcross-perl dpkg-cross
Architecture: source all
Version: 2.0.0
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 32340 283626 401058 429555 440043 441940
Changes: 
 dpkg-cross (2.0.0) unstable; urgency=low
 .
   * Replace the diversions
   * buildcross: new shell library to replace perl dpkg-buildpackage
     diversion
   * remove lintian overrides for previously diverted scripts
   * ChangeLog: close old file and use only the installed debian
     changelog
   * Remove old diversions when installing instead of removing
   * crosstools: removed
   * Merge dpkg-shlibdeps into dpkg (Closes: #283626)
   * replace cross-compile.example with cross-compile.sample
   * dpkg-cross should also handle /usr/lib/ldscripts (Closes: #401058)
   * shlibs must also search /usr/$libpath (Closes: #32340)
   * dpkg-buildpackage -S is confused by other-arch changes file.
     (Closes: #429555)
   * Debian/DpkgCross.pm: add new function convert_filename($)
   * NEWS,
     README.debian,
     README.cvs: Start the long goodbye - signal the intention to
     remove dpkg-cross after Lenny.
   * Missing a dependency on libfile-homedir-perl (Closes: #440043)
   * debconf dependency unsatisfiable with cdebconf (Closes: #441940)
   * Generate POD content and update man page for latest changes
   * Skip pre2 - set 2.0.0 for unstable due to changes in dpkg-dev 1.14.7
Files: 
 9a383a1849dbc609e9b2c7cbacb68593 946 utils extra dpkg-cross_2.0.0.dsc
 c29c09f4442b9e33a8c0fe136aaf4277 83483 utils extra dpkg-cross_2.0.0.tar.gz
 2fa2d346da2a775cbde503c3fbebca49 47788 utils extra dpkg-cross_2.0.0_all.deb
 0ac20053905db199a9e8c390406746b2 29510 perl extra libdebian-dpkgcross-perl_2.0.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHCqNTiAEJSii8s+MRAmuOAKDshdvCWW6pC4sWbhwpUZY1MYEnwgCg9iN+
/e/8uQZLsyg2KZ4gjguam/M=
=L64M
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Nov 2007 07:29:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:37:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.